Subject: TX vs RX pause frame question

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 26 Mar 2017 21:11:11 +1100

Hi !

It's not 100% clear to me looking at various drivers what is
considered "rx_pause" and what is "tx_pause" (from the ethtool
terminology).

Is "rx_pause" about receiving pause frame to throttle the transmitter
or is it about sending pause frames when the receiver gets full ?

Thanks,
Ben.